## thin-client-config-agent 0.6

=== Makefile ===
lint:
	pyflakes $$(find -name '*.py') $$(grep '^#!.*python' $$(bzr ls -Vkfile) -l)
check:
	python -m unittest tccalib.tests
.PHONY: lint check

## thin-client-config-agent 0.5

=== debian/changelog ===
thin-client-config-agent (0.5) quantal; urgency=low

  * Package for Ubuntu (LP: #1037228)
  * Switch to dh9 over dh7
  * Cleanup control and copyright files

 -- Michael Terry <mterry@ubuntu.com>  Tue, 14 Aug 2012 16:02:35 -0400

thin-client-config-agent (0.4) precise; urgency=low

  * Fixes the error messages getting from this to the greeter (LP: #1005961) 

 -- Matthew Fischer <matthew.fischer@canonical.com>  Wed, 30 May 2012 07:45:57 -0600

thin-client-config-agent (0.3) precise; urgency=low

  * Use PycURL to retrieve URLs so that SSL certificates are verified
  * debian/control: update dependencies

 -- Alex Chiang <achiang@canonical.com>  Thu, 24 May 2012 14:08:11 -0600

thin-client-config-agent (0.2) precise; urgency=low

  * Remove call to mlockall, as it's not needed (LP: #1002957)

 -- Alex Chiang <achiang@canonical.com>  Wed, 23 May 2012 15:38:02 -0600

thin-client-config-agent (0.1) precise; urgency=low

  * Initial release.

 -- Alex Chiang <achiang@canonical.com>  Tue, 22 May 2012 12:44:15 -0600

=== debian/control ===
Source: thin-client-config-agent
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: utils
Priority: extra
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3),
               python-pycurl,
               python-setuptools
Standards-Version: 3.9.3
Vcs-Bzr: https://code.launchpad.net/~maza-team/thin-client-config-agent/trunk

Package: thin-client-config-agent
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Retrieve the list of remote desktop servers for a user.
 Retrieve the list of remote desktop servers for a user from a master server
 like Landscape.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_clean:
	-find . -name '*.py[co]' | xargs rm -f
	rm -rf *.egg-info

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -ex; for python in $(shell pyversions -r) ; do \
		$$python -m unittest tccalib.tests ; \
	done
endif

## thin-client-config-agent 0.6

=== debian/changelog ===
thin-client-config-agent (0.6) quantal; urgency=low

  * Port to Python 3
  * debian/control:
    - Update Vcs-Bzr link to point to new ~ubuntu-core-dev trunk
    - Add python3-pycurl to Depends

 -- Michael Terry <mterry@ubuntu.com>  Wed, 15 Aug 2012 21:46:51 -0400

=== debian/control ===
Source: thin-client-config-agent
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: utils
Priority: extra
Build-Depends: debhelper (>= 9),
               python3-all,
               python3-pycurl,
               python3-setuptools
Standards-Version: 3.9.3
X-Python3-Version: >= 3.2
Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/thin-client-config-agent/trunk

Package: thin-client-config-agent
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pycurl
Description: Retrieve the list of remote desktop servers for a user.
 Retrieve the list of remote desktop servers for a user from a master server
 like Landscape.

## thin-client-config-agent 0.7

=== debian/changelog ===
thin-client-config-agent (0.7) raring; urgency=low

  [ Dmitrijs Ledkovs ]
  * Port to use BytesIO with raring's pycurl. (LP: #1152222)
  * Bump Standards Version to 3.9.4.

  [ David Barth]
  * Fix test suite for above.
  
 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 03 Apr 2013 17:22:33 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
                python3-all,
                python3-pycurl,
                python3-setuptools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python3-Version: >= 3.2
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/thin-client-config-agent/trunk
 
 Package: thin-client-config-agent
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-pycurl
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: Retrieve the list of remote desktop servers for a user.
  Retrieve the list of remote desktop servers for a user from a master server
  like Landscape.

## thin-client-config-agent 0.8

=== Makefile ===
lint:
	pyflakes $$(find -name '*.py') $$(grep '^#!.*python' $$(bzr ls -Vkfile) -l)
check:
	python3 -m unittest tccalib.tests
.PHONY: lint check

=== debian/changelog ===
thin-client-config-agent (0.8) trusty; urgency=low

  * Add python3-pycurl dependency. (LP: #1187450)

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 05 Nov 2013 23:55:06 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: thin-client-config-agent
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, python3-pycurl
 Description: Retrieve the list of remote desktop servers for a user.
  Retrieve the list of remote desktop servers for a user from a master server
  like Landscape.

=== debian/rules ===
#!/usr/bin/make -f

PY3VERS := $(shell py3versions -r)

%:
	dh $@ --with python3 --buildsystem=python_distutils

override_dh_auto_clean:
	-find . -name '*.py[co]' | xargs rm -f
	rm -rf *.egg-info

override_dh_auto_build:
	set -ex ; for python in $(PY3VERS) ; do \
		$$python setup.py build ; \
	done

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -ex; for python in $(PY3VERS) ; do \
		$$python -m unittest tccalib.tests ; \
	done
endif

override_dh_auto_install:
	set -ex ; for python in $(PY3VERS) ; do \
		$$python setup.py install --root=$(CURDIR)/debian/thin-client-config-agent --install-layout=deb; \
	done
